Subject: Re: bug#1096: The Emacs 23 cann't display the cjk extb characters again.

From: Jason Rumney <[email-masked]>
Date: Thu, 11 Dec 2008 21:14:00 +0800

Kenichi Handa wrote:
> I've just installed a fix.  At least with Xft font backend,
> Emacs should be able to find a proper font for the Unicode
> SIP area (#x20000..#x2FFFF) now.
>   

In addition to that change, which should help with displaying those 
characters by default, it turns out there is a bug in the Windows 
function that we use to encode characters into glyph points when passed 
a surrogate pair. I've worked around it by using an oversized glyph buffer.